# Задача 7. Пицца
# В базе данных интернет-магазина PizzaTime хранятся данные о том, кто, что и сколько заказывал у них в определённый
# период. Вам нужно структурировать эту информацию, а также понять, сколько всего пицц купил каждый заказчик.
# На вход в программу подаётся N заказов. Каждый заказ представляет собой строку вида «Покупатель — название пиццы —
# количество заказанных пицц». Реализуйте код, который выводит список покупателей и их заказов по алфавиту. Учитывайте,
# что один человек может заказать одно и то же несколько раз.
# Пример:
# Введите кол-во заказов: 6
# 1 заказ: Иванов Пепперони 1
# 2 заказ: Петров Де-Люкс 2
# 3 заказ: Иванов Мясная 3
# 4 заказ: Иванов Мексиканская 2
# 5 заказ: Иванов Пепперони 2
# 6 заказ: Петров Интересная 5
# Иванов:
#     Мексиканская: 2
#     Мясная: 3
#     Пепперони: 3
# Петров:
#     Де-Люкс: 2
#     Интересная: 5

order_dict = dict()

num_order = int(input('Введите кол-во заказов: '))

for i_order in range(1, num_order+1):
    print(i_order, 'заказ: ', end='')
    order = input().split()
    if order[0] in order_dict.keys():
        if order[1] in order_dict[order[0]]:
            order_dict[order[0]][order[1]] += int(order[2])
        else:
            order_dict[order[0]][order[1]] = int(order[2])
    else:
        order_dict[order[0]] = dict()
        order_dict[order[0]][order[1]] = int(order[2])

print()
for i_order in order_dict:
    print(i_order+':')
    for i in order_dict[i_order]:
        print('\t', i+':', order_dict[i_order][i])
